OpenTTD Source: SocialIntegration Class Reference

OpenTTD Source 15.3

Static Public Member Functions
SocialIntegration Class Reference

## Static Public Member Functions
static std::vector< SocialIntegrationPlugin * > | GetPlugins ()
| Get the list of loaded social integration plugins.
static void | Initialize ()
| Initialize the social integration system, loading any social integration plugins that are available.
static void | Shutdown ()
| Shutdown the social integration system, and all social integration plugins that are loaded.
static void | RunCallbacks ()
| Allow any social integration library to handle their own events.
static void | EventEnterMainMenu ()
| Event: user entered the main menu.
static void | EventEnterScenarioEditor (uint map_width, uint map_height)
| Event: user entered the Scenario Editor.
static void | EventEnterSingleplayer (uint map_width, uint map_height)
| Event: user entered a singleplayer game.
static void | EventEnterMultiplayer (uint map_width, uint map_height)
| Event: user entered a multiplayer game.
static void | EventJoiningMultiplayer ()
| Event: user is joining a multiplayer game.

## Detailed Description

Definition at line 37 of file social_integration.h.

## Member Function Documentation

## ◆ EventEnterMainMenu()

void SocialIntegration::EventEnterMainMenu | ( |  | ) |
| static

Event: user entered the main menu.

Definition at line 213 of file social_integration.cpp.

References _plugins, and PluginCall().

## ◆ EventEnterMultiplayer()

void SocialIntegration::EventEnterMultiplayer | ( | uint | map_width,
|  | uint | map_height
| ) |  |
| static

Event: user entered a multiplayer game.

Definition at line 234 of file social_integration.cpp.

References _plugins, and PluginCall().

Referenced by ClientNetworkGameSocketHandler::Receive_SERVER_MAP_DONE().

## ◆ EventEnterScenarioEditor()

void SocialIntegration::EventEnterScenarioEditor | ( | uint | map_width,
|  | uint | map_height
| ) |  |
| static

Event: user entered the Scenario Editor.

Definition at line 220 of file social_integration.cpp.

References _plugins, and PluginCall().

## ◆ EventEnterSingleplayer()

void SocialIntegration::EventEnterSingleplayer | ( | uint | map_width,
|  | uint | map_height
| ) |  |
| static

Event: user entered a singleplayer game.

Definition at line 227 of file social_integration.cpp.

References _plugins, and PluginCall().

## ◆ EventJoiningMultiplayer()

void SocialIntegration::EventJoiningMultiplayer | ( |  | ) |
| static

Event: user is joining a multiplayer game.

Definition at line 241 of file social_integration.cpp.

References _plugins, and PluginCall().

## ◆ GetPlugins()

std::vector< SocialIntegrationPlugin * > SocialIntegration::GetPlugins | ( |  | ) |
| static

Get the list of loaded social integration plugins.

Definition at line 149 of file social_integration.cpp.

References _plugins.

Referenced by SurveyPlugins().

## ◆ Initialize()

void SocialIntegration::Initialize | ( |  | ) |
| static

Initialize the social integration system, loading any social integration plugins that are available.

Definition at line 160 of file social_integration.cpp.

Referenced by openttd_main().

## ◆ RunCallbacks()

void SocialIntegration::RunCallbacks | ( |  | ) |
| static

Allow any social integration library to handle their own events.

Definition at line 194 of file social_integration.cpp.

References _loaded_social_platform, _plugins, Debug, PluginCall(), SocialIntegrationPlugin::RUNNING, and SocialIntegrationPlugin::UNLOADED.

## ◆ Shutdown()

void SocialIntegration::Shutdown | ( |  | ) |
| static

Shutdown the social integration system, and all social integration plugins that are loaded.

Definition at line 184 of file social_integration.cpp.

References _loaded_social_platform, _plugins, and PluginCall().

Referenced by ShutdownGame().

The documentation for this class was generated from the following files:

- src/social_integration.h
- src/social_integration.cpp